[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#685741: unblock: qpid-cpp/0.16-7



Am Freitag, 24. August 2012, 18:39:28 schrieb Adam D. Barratt:
> On Fri, 2012-08-24 at 11:00 +0200, Cajus Pollmeier wrote:
> > Am Freitag, 24. August 2012, 10:19:45 schrieben Sie:
> > > +-    static std::auto_ptr<SaslAuthenticator>
> > > createAuthenticator(Connection& connection, bool isShadow); ++   
> > > static std::auto_ptr<SaslAuthenticator>
> > > createAuthenticator(Connection& connection);
> > > 
> > > createAuthenticator() is a public symbol of libqpidbroker, which is
> > > shipped as a public library in /usr/lib.  That means the library has
> > > changed ABI without changing SONAME afaics.
> > 
> > libqpidbroker is only used by the qpid broker itself. There's nothing in
> > testing that uses the broker library - besides the broker itself.
> > Unstable has the qpidd-msgstore module that makes use of that library.
> 
> qpidd-msgstore is also in testing.  Does the earlier version not use the
> broker library?

Hmm. Is it possible to remove it from testing? The version that matches the 
current 0.16 release of qpidd got stuck because it didn't compile on all 
architectures. 0.14 qpidd-msgstore will not work with 0.16 of qpidd.

> > I'm not sure if and how I can simply change the SONAME for the broker.
> > And if there's a need for that in this case. Any hints?
> 
> It's shipped in a public library directory and versioned so yes it
> should be updated (even without the existence of a reverse dependency).
> Assuming the SONAMEs come from upstream, it'd be worth discussing the
> issue with them so we don't end up carrying a Debian-specific change for
> it.

Just sent a message to upstream. Lets see.

Cheers,
Cajus

Attachment: signature.asc
Description: This is a digitally signed message part.


Reply to: